## systemtap 4.2

=== debian/changelog ===
systemtap (4.2-3ubuntu0.1) focal; urgency=medium

  * d/p/dtrace-predictable-tmp-file.patch:
    Cherry-pick fix from upstream to avoid a race condition due to
    use of a predictable temporary file name. (LP: #1962785).

 -- dann frazier <dannf@ubuntu.com>  Wed, 16 Mar 2022 14:04:27 -0600

systemtap (4.2-3) unstable; urgency=medium

  * autopkgtest: do not assume architecture is amd64
  * Add debian/gbp.conf to use pristine-tar by default
  * Set Standards-Version to 4.4.1

 -- Emanuele Rocca <ema@debian.org>  Mon, 17 Feb 2020 12:01:11 +0100

systemtap (4.2-2) unstable; urgency=medium

  * Add upstream patch debian/patches/fallback-comment-gcc-9.diff to fix
    unwind related functions such as print_ubacktrace with GCC 9. See:
    http://paste.debian.net/1130708/
  * Add upstream patch fix-autoconf-stack-trace-strict-prototypes.diff to fix
    ustack, ubacktrace on Linux >= 5.3. See:
    https://sourceware.org/bugzilla/show_bug.cgi?id=25265
  * Take over maintenance from Ritesh. Thanks!

 -- Emanuele Rocca <ema@debian.org>  Sat, 15 Feb 2020 13:50:37 +0100

systemtap (4.2-1) unstable; urgency=low

  * New upstream release
  * Drop the following patches shipped in 4.2:
    - da2a89d syscalls.xmlpart-tbody.patch
    - 79d0c97 check_task_work_cancel_exportedness.patch
    - 910acbe vsprintf-fallthru.patch

 -- Emanuele Rocca <ema@debian.org>  Sat, 07 Dec 2019 23:23:30 +0100

systemtap (4.1-11) unstable; urgency=high

  * Add upstream patch debian/patches/vsprintf-fallthru.patch to satisfy gcc
    9's -Wimplicit-fallthrough. (Closes: #943876)

 -- Emanuele Rocca <ema@debian.org>  Thu, 31 Oct 2019 11:15:18 +0100

systemtap (4.1-10) unstable; urgency=medium

  * Add check_task_work_cancel_exportedness.patch from upstream to fix the
    following pass 4 error with user space probes on Linux > 5:
    ERROR: "task_work_cancel" [/tmp/[...].ko] undefined!

 -- Emanuele Rocca <ema@debian.org>  Sun, 20 Oct 2019 17:38:13 +0200

systemtap (4.1-9) unstable; urgency=medium

  * tests: in case multiple linux-headers-amd64 versions are available, use the
    one which is installed.

 -- Emanuele Rocca <ema@debian.org>  Tue, 20 Aug 2019 07:08:45 +0200
