=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://sourceware.org/systemtap/ftp/releases/ systemtap-(.*)\.tar.gz
