## systemtap 4.3

=== debian/changelog ===
systemtap (4.3-2+hurd.1) unreleased; urgency=medium

  [ Svante Signell ]
  * Fix build on non-linux

 -- Samuel Thibault <sthibault@debian.org>  Sat, 19 Sep 2020 21:06:19 +0000

systemtap (4.3-2) unstable; urgency=medium

  * Add debian/patches/rlim_t.patch to fix FTBFS: bad rlim_t
    assumptions. Thank you Thorsten Glaser! (Closes: #968327)
  * Drop debian/patches/fix-emacs24.diff. Installing systemtap-common
    and then emacs-nox 1:26.3+1-2 (currently in sid) works fine without this
    patch.

 -- Emanuele Rocca <ema@debian.org>  Sat, 15 Aug 2020 13:12:27 +0200

systemtap (4.3-1) unstable; urgency=medium

  * New upstream release
    - Drop patches fallback-comment-gcc-9.diff and
      fix-autoconf-stack-trace-strict-prototypes.diff, added upstream
    - Update systemtap-ia64.patch to pass PROVIDER to STAP_PROBE2 instead of
      HelperSDT
  * debian/watch: use https and uupdate

 -- Emanuele Rocca <ema@debian.org>  Fri, 12 Jun 2020 11:53:19 +0200
