=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: systemtap
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Emanuele Rocca <ema@debian.org>
+Maintainer: Emanuele Rocca <ema@debian.org>
 Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>,
            Vincent Bernat <bernat@debian.org>,
            Ritesh Raj Sarraf <rrs@debian.org>
@@ -21,7 +20,7 @@
                libnss3-tools,
                xmlto,
                python3-lxml,
-               latex2html,
+#               latex2html,
                libavahi-client-dev
 Standards-Version: 4.4.1
 Homepage: http://sourceware.org/systemtap/
