## systemtap 4.4

=== debian/changelog ===
systemtap (4.4-2) unstable; urgency=medium

  * Add debian/patches/STAPCONF_LOCKDOWN_DEBUGFS.diff (Closes: #976634)

 -- Emanuele Rocca <ema@debian.org>  Fri, 11 Dec 2020 13:57:23 +0100

systemtap (4.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/get-user-pages-remote.patch added in 4.3-4 and now
    included upstream.
  * Drop debian/patches/vermagic-hiding.patch and
    debian/patches/mmap_sem-transition.patch added in 4.3-3 and now included
    upstream.
  * Drop debian/patches/rlim_t.patch added in 4.3-2 and now included upstream.
  * Update debian/patches/stap-prep.patch.

 -- Emanuele Rocca <ema@debian.org>  Wed, 18 Nov 2020 14:39:13 +0100

systemtap (4.3-4) unstable; urgency=medium

  * Add debian/patches/get-user-pages-remote.patch to ensure compatibility with
    5.9 kernels.
  * Install /usr/bin/stap-report, stap-report(1), stapref(1), stapsh(8), and
    systemtap-service(8).
  * Ship Czech man pages with systemtap-doc.

 -- Emanuele Rocca <ema@debian.org>  Wed, 28 Oct 2020 14:45:31 +0100

systemtap (4.3-3) unstable; urgency=high

  * Add debian/patches/mmap_sem-transition.patch to fix stap error: ‘struct
    mm_struct’ has no member named ‘mmap_sem’. (Closes: #972247)
  * Add debian/patches/vermagic-hiding.patch to fix stap error: 'This header
    can be included from kernel/module.c or *.mod.c only'
  * Set architecture of binary packages to linux-any. (Closes: #969968)
  * Add FORCE_SOURCE_DATE to debian/rules. (Closes: #961830)
  * Use salsa-ci-team/pipeline/raw/master/recipes/debian.yml instead of
    salsa-ci-team/pipeline/raw/master/salsa-ci.yml in our own salsa-ci.yml
    configuration to fix CI pipeline error: undefined dependency:
    extract-source.

 -- Emanuele Rocca <ema@debian.org>  Thu, 15 Oct 2020 11:06:19 +0200
