=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libnss3-tools,
                xmlto,
                python3-lxml,
-#               latex2html,
+               latex2html,
                libavahi-client-dev
 Standards-Version: 4.4.1
 Homepage: http://sourceware.org/systemtap/
@@ -30,7 +30,7 @@
 Package: systemtap
 Architecture: linux-any
 Depends: systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
- systemtap-common (= ${source:Version}), make, lsb-release
+ systemtap-common (= ${binary:Version}), make, lsb-release
 Suggests: systemtap-doc, vim-addon-manager
 Description: instrumentation system for Linux
  SystemTap provides infrastructure to simplify the gathering of
@@ -44,7 +44,7 @@
  language for writing instrumentation for a live running system.
 
 Package: systemtap-common
-Architecture: all
+Architecture: linux-any
 Replaces: systemtap (<< 0.0.20081220-1), systemtap-grapher (<< 2.1-1~experimental1~try1)
 Breaks: systemtap (<< 0.0.20081220-1), systemtap-grapher (<< 2.1-1~experimental1~try1)
 Depends: ${misc:Depends}
@@ -73,7 +73,7 @@
  To be able to write new SystemTap probes, install systemtap package.
 
 Package: systemtap-doc
-Architecture: all
+Architecture: linux-any
 Section: doc
 Suggests: doc-base, systemtap
 Depends: ${misc:Depends}
@@ -117,7 +117,7 @@
  information about the running Linux system.
 
 Package: systemtap-sdt-dev
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends}, python3:any
 Description: statically defined probes development files
  This package contains header file and executable (dtrace) that
