=== debian/rules ===
--- 
+++ 
@@ -5,24 +5,10 @@
 
 EMACS_ADIR = $(CURDIR)/debian/tmp/usr/share/emacs/site-lisp/systemtap-common
 
-DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-ifeq (linux,$(DEB_HOST_ARCH_OS))
-	ENABLE_SERVER =--enable-server
-	BUILD_STAPRUN=--with-staprun
-	BUILD_STAP=--with-stap
-	ENABLE_TRANSLATOR =--enable-translator
-else
-	ENABLE_SERVER =--disable-server
-	BUILD_STAPRUN=--without-staprun
-	BUILD_STAP=--without-stap
-	ENABLE_TRANSLATOR =--disable-translator
-endif
-
 CONF_FLAGS = --enable-sqlite --disable-crash --disable-pie \
 	     --enable-docs --enable-htmldocs --enable-refdocs \
-	     $(ENABLE_SERVER) $(BUILD_STAPRUN) $(BUILD_STAP) \
-	     --without-rpm --disable-silent-rules \
-	     $(ENABLE_TRANSLATOR) --disable-publican --with-python3 \
+	     --enable-server --without-rpm --disable-silent-rules \
+	     --enable-translator --disable-publican --with-python3 \
 	     --libexecdir=/usr/lib $(shell dpkg-buildflags --export=configure)
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
@@ -37,6 +23,8 @@
 ifeq (,$(filter systemtap-runtime,$(shell dh_listpackages -a)))
   sdt_only := yes
 endif
+
+export FORCE_SOURCE_DATE=1
 
 %:
 	dh $@ --with autoreconf
