## systemtap 4.5

=== debian/changelog ===
systemtap (4.5-2) unstable; urgency=medium

  * Upload to unstable.
  * Make systemtap-sdt-dev Multi-Arch: same. Thanks, Antonio Terceiro.
    (Closes: #983484)

 -- Emanuele Rocca <ema@debian.org>  Fri, 27 Aug 2021 15:33:24 +0200

systemtap (4.5-1) experimental; urgency=medium

  * New upstream release. Upload to experimental as this is not meant for
    bullseye. (Closes: #988648)
  * Drop patch debian/patches/STAPCONF_LOCKDOWN_DEBUGFS.diff, applied
    upstream.

 -- Emanuele Rocca <ema@debian.org>  Fri, 21 May 2021 14:57:59 +0200
