=== debian/control ===
--- 
+++ 
@@ -118,6 +118,7 @@
 
 Package: systemtap-sdt-dev
 Architecture: linux-any
+Multi-Arch: same
 Depends: ${misc:Depends}, python3:any
 Description: statically defined probes development files
  This package contains header file and executable (dtrace) that
