## systemtap 4.6

=== debian/changelog ===
systemtap (4.6-2) unstable; urgency=medium

  * Add dtrace-predictable-tmp-file.patch to use hash-based scheme for
    predictable file generation in dtrace. (Closes: #1006703)
    Thanks dann frazier for the patch!

 -- Emanuele Rocca <ema@debian.org>  Fri, 11 Mar 2022 17:29:24 +0100

systemtap (4.6-1) unstable; urgency=medium

  * New upstream release.
  * Refresh systemtap-ia64.patch.
  * Set debhelper compatibility level to 13.
  * Set Standards-Version to 4.6.0.

 -- Emanuele Rocca <ema@debian.org>  Thu, 18 Nov 2021 16:18:30 +0100
