=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://sourceware.org/systemtap/ftp/releases/ systemtap-(.*)\.tar.gz debian uupdate
