## systemtap 4.7

=== debian/changelog ===
systemtap (4.7-1) unstable; urgency=medium

  * New upstream version, fixes FTBFS with GCC-12. (Closes: #1013048)
    See https://sourceware.org/git/?p=systemtap.git;a=commit;h=56c498d
  * Ship new executable: stap-profile-annotate(1).
  * Drop patch dtrace-predictable-tmp-file.patch, applied upstream.
  * Update debian/patches/systemtap-ia64.patch.

 -- Emanuele Rocca <ema@debian.org>  Sat, 18 Jun 2022 12:47:33 +0200
