## systemtap 4.8

=== debian/changelog ===
systemtap (4.8-2) unstable; urgency=medium

  * Add d/patches/dtrace-deterministic-tmpfile.diff by Gioele Barabucci to
    ensure dtrace produces reproducible object files. The patch has been merged
    upstream already. Thanks Gioele! (Closes: #1032056)
  * Add autopkgtest d/tests/dtrace-reproducible to verify that the above works
    as advertised.
  * Refresh d/patches.

 -- Emanuele Rocca <ema@debian.org>  Tue, 28 Feb 2023 21:45:06 +0100

systemtap (4.8-1) unstable; urgency=medium

  * New upstream release.
  * Fix url in debian/watch.
  * Add dependency on python3 for stap-profile-annotate.
  * Update systemtap-doc.lintian-overrides to match lintian output with
    brackets. Add a wrong-path-for-interpreter override for cve-2011-4127.stp
    as it is only an example.
  * Remove obsolete lintian override for setuid-binary usr/bin/staprun.
  * Add lintian override for HTML files false positive: source-is-missing.

 -- Emanuele Rocca <ema@debian.org>  Fri, 06 Jan 2023 20:25:17 +0100
