=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
 Package: systemtap
 Architecture: linux-any
 Depends: systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
- systemtap-common (= ${binary:Version}), make, lsb-release
+ systemtap-common (= ${binary:Version}), make, lsb-release, python3
 Suggests: systemtap-doc, vim-addon-manager
 Description: instrumentation system for Linux
  SystemTap provides infrastructure to simplify the gathering of
