## systemtap 4.9

=== debian/changelog ===
systemtap (4.9-1) unstable; urgency=medium

  * New upstream release.
  * stap-prep: fix kernel version number parsing. (Closes: #1040480)
  * Drop d/patches/dtrace-deterministic-tmpfile.diff, applied upstream.
  * Add d/patches/include-cstdint.diff.
  * Do not ship jupyter files.
  * Refresh d/patches.

 -- Emanuele Rocca <ema@debian.org>  Fri, 14 Jul 2023 19:49:33 +0200
