## systemtap 5.0

=== debian/changelog ===
systemtap (5.0-2ubuntu1) noble; urgency=medium

  * Disable LTO to fix build failure.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 14 Apr 2024 06:09:01 +0000

systemtap (5.0-2build1) noble; urgency=medium

  * No-change rebuild against libelf1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Mar 2024 01:04:44 +0000

systemtap (5.0-2) unstable; urgency=medium

  * Build with g++-12 to workaround FTBFS with g++-13 on i386, ppc64el,
    riscv64 (see #1057205).

 -- Emanuele Rocca <ema@debian.org>  Sun, 03 Dec 2023 20:14:50 +0100

systemtap (5.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1055418)
  * Drop d/patches/include-cstdint.diff, applied upstream.
  * Add build-dependency on libdebuginfod-dev.

 -- Emanuele Rocca <ema@debian.org>  Fri, 01 Dec 2023 11:50:12 +0100
