=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: systemtap
 Section: devel
 Priority: optional
-Maintainer: Emanuele Rocca <ema@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Emanuele Rocca <ema@debian.org>
 Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>,
            Vincent Bernat <bernat@debian.org>,
            Ritesh Raj Sarraf <rrs@debian.org>
@@ -9,6 +10,7 @@
                gettext (>= 0.19.4),
                libelf-dev (>= 0.148),
                libdw-dev (>= 0.148),
+               libdebuginfod-dev,
                libsqlite3-dev,
                texlive-latex-base,
                texlive-latex-recommended,
@@ -21,7 +23,8 @@
                xmlto,
                python3-lxml,
                latex2html,
-               libavahi-client-dev
+               libavahi-client-dev,
+               g++-12
 Standards-Version: 4.6.0
 Homepage: http://sourceware.org/systemtap/
 Vcs-Git: https://salsa.debian.org/debian/systemtap.git
