=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=optimize=-lto
 
 VIM_ADIR = $(CURDIR)/debian/tmp/usr/share/vim/addons
 VIM_RDIR = $(CURDIR)/debian/tmp/usr/share/vim/registry
@@ -33,7 +35,8 @@
 	# Tests cannot be run during build, see #526957
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(CONF_FLAGS)
+	# Build with g++-12 (see #1057205)
+	dh_auto_configure -- CXX=g++-12 $(CONF_FLAGS)
 
 override_dh_auto_install:
 	dh_auto_install
@@ -62,6 +65,9 @@
 	# Remove empty file to make lintian happy, patch sent to xmlto upstream
 	rm -f debian/tmp/usr/share/doc/systemtap/tapsets/tapsets.proc
 
+	# Don't ship jupyter files
+	rm -rf debian/tmp/usr/bin/stap-jupyter-container debian/tmp/usr/bin/stap-jupyter-install debian/tmp/usr/share/systemtap/interactive-notebook/
+
 override_dh_install:
 	dh_install
 ifeq ($(sdt_only),yes)
