## systemtap 5.1

=== debian/changelog ===
systemtap (5.1-5) unstable; urgency=medium

  * Add upstream patch move-unaligned.patch for Linux kernels >= 6.12
    (Closes: #1108541)

 -- Emanuele Rocca <ema@debian.org>  Tue, 01 Jul 2025 15:52:26 +0200

systemtap (5.1-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop .git from Vcs-Browser URL
  * Depend on bind9-dnsutils (Closes: #1094952)

 -- Bastian Germann <bage@debian.org>  Fri, 28 Feb 2025 21:20:54 +0100

systemtap (5.1-4) unstable; urgency=medium

  * Do not fail autopkgtests due to apt-get's output to stderr
    in build-hello and list-coreutils-probe-points autopkgtests.

 -- Emanuele Rocca <ema@debian.org>  Tue, 20 Aug 2024 20:55:07 +0200

systemtap (5.1-3) unstable; urgency=medium

  * Install coreutils debugging symbols in list-coreutils-probe-points
    autopkgtest.
  * Drop "allow-stderr" from build-hello autopkgtest.

 -- Emanuele Rocca <ema@debian.org>  Thu, 15 Aug 2024 17:15:03 +0200

systemtap (5.1-2) unstable; urgency=medium

  * Add upstream patches vmalloc-linux-6.10.patch,
    stp_task_work-6.10.patch, old-style-declaration-stap-probes.patch and
    error-empty-body-debug-macros.patch to fix runtime issues with Linux 6.10.
    (Closes: #1078683)
  * Add d/patches/debian-debug-system-map.patch to open System.map file shipped
    by -dbg package instead of /boot/System.map-$version.

 -- Emanuele Rocca <ema@debian.org>  Wed, 14 Aug 2024 12:38:08 +0200

systemtap (5.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1075549)
  * Add upstream patch d/patches/symresolution-no-dangling.diff to fix FTBFS on
    various architectures. Building with g++-12 is not needed anymore.
    (Closes: #1057205)

 -- Emanuele Rocca <ema@debian.org>  Wed, 03 Jul 2024 16:05:57 +0200
