=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://sourceware.org/ftp/systemtap/releases/ systemtap-(.*)\.tar.gz debian uupdate
