=== debian/changelog ===
systemtap (5.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop symresolution-no-dangling.diff, applied upstream
  * Drop vmalloc-linux-6.10.patch, applied upstream
  * Drop stp_task_work-6.10.patch, applied upstream
  * Drop error-empty-body-debug-macros.patch, applied upstream
  * Drop old-style-declaration-stap-probes.patch, applied upstream
  * Build depend on libboost-thread-dev
  * Drop previous maintainers from Uploaders
  * Add upstream patch lookup_one_len.patch
  * Add upstream patch sched_process_exit.patch
  * Depend on debuginfod
  * d/tests/build-hello: check presence of hello.ko, ignore warnings
  * Orphaning package.

 -- Emanuele Rocca <ema@debian.org>  Tue, 09 Sep 2025 12:48:01 +0200
