=== debian/control ===
--- 
+++ 
@@ -1,11 +1,7 @@
 Source: systemtap
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Emanuele Rocca <ema@debian.org>
-Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>,
-           Vincent Bernat <bernat@debian.org>,
-           Ritesh Raj Sarraf <rrs@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 13),
                gettext (>= 0.19.4),
                libelf-dev (>= 0.148),
@@ -16,6 +12,7 @@
                texlive-latex-recommended,
                texlive-latex-extra,
                texlive-fonts-recommended,
+               libboost-thread-dev,
                libnss3-dev,
                libnspr4-dev,
                pkg-config,
@@ -23,17 +20,16 @@
                xmlto,
                python3-lxml,
                latex2html,
-               libavahi-client-dev,
-               g++-12
+               libavahi-client-dev
 Standards-Version: 4.6.0
 Homepage: http://sourceware.org/systemtap/
 Vcs-Git: https://salsa.debian.org/debian/systemtap.git
-Vcs-Browser: https://salsa.debian.org/debian/systemtap.git
+Vcs-Browser: https://salsa.debian.org/debian/systemtap
 
 Package: systemtap
 Architecture: linux-any
 Depends: systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
- systemtap-common (= ${binary:Version}), make, lsb-release, python3
+ systemtap-common (= ${binary:Version}), make, lsb-release, python3, debuginfod
 Suggests: systemtap-doc, vim-addon-manager
 Description: instrumentation system for Linux
  SystemTap provides infrastructure to simplify the gathering of
@@ -105,7 +101,7 @@
 
 Package: systemtap-client
 Architecture: linux-any
-Depends: avahi-utils, unzip, zip, dnsutils, systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: avahi-utils, unzip, zip, bind9-dnsutils, systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: systemtap-server
 Description: instrumentation system for Linux (client for compile server)
  This package contains client for SystemTap compile server. It can be
