=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export DEB_BUILD_MAINT_OPTIONS=optimize=-lto
 
 VIM_ADIR = $(CURDIR)/debian/tmp/usr/share/vim/addons
 VIM_RDIR = $(CURDIR)/debian/tmp/usr/share/vim/registry
@@ -35,8 +33,7 @@
 	# Tests cannot be run during build, see #526957
 
 override_dh_auto_configure:
-	# Build with g++-12 (see #1057205)
-	dh_auto_configure -- CXX=g++-12 $(CONF_FLAGS)
+	dh_auto_configure -- $(CONF_FLAGS)
 
 override_dh_auto_install:
 	dh_auto_install
